@font-face {
  font-family: "komikax";
  src: url("./font/KOMIKAX_.ttf");
}

body {
  margin: 0;
  background-color: black;
}

header {
  padding: 2em 0;
}

label {
  color: #fff;
  padding-bottom: 1em;
}

h1,
.subTitle {
  font-family: "komikax", serif;
  text-align: center;
}

h1 {
  font-size: 4em;
  text-transform: uppercase;
  color: ghostwhite;
}

.subTitle {
  font-style: italic;
  color: crimson;
}

.col-sm-12 {
  margin-bottom: 1.5em;
}

.card-body {
  background-color: crimson;
}
.card-body h2 {
  text-align: center;
  font-size: 1.2em;
  margin: 0;
}

/* Affichage des détails d'un SH */
.wrapper {
  border: 1px solid white;
}
.wrapper img {
  display: block;
  width: 100%;
  margin: 0 auto;
}

.wrapperBody p {
  color: white;
  margin: 1em 0;
  text-align: center;
  text-transform: uppercase;
}

.wrapperBody ul {
  list-style-type: none;
  padding: 0;
  color: white;
}

.card {
  padding: 0.5em;
  margin-top: 0.5em;
  width: 80%;
  padding: 0;
  border: 1px solid grey;
}

.loader {
  border: 16px solid #f3f3f3;
  border-top: 16px solid #3498db;
  border-radius: 50%;
  width: 120px;
  height: 120px;
  animation: spin 2s linear infinite;
}

.hide-loader {
  display: none;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.modal {
  display: none;
  position: fixed;
  z-index: 1;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
}

.modal-content {
  position: relative;
  top: 50%;
  transform: translate(0, -50%);
  color: white;
  margin: 0 auto;
  width: 90%;
  border: none;
  justify-content: center;
}

.modal-content img {
  width: 100%;
}

.modal-content h3 {
  text-align: center;
  padding: 0.2em;
}

.modal-content span {
  display: block;
}

#modal-content div {
  background-color: black;
  padding: 1em;
}

@media screen and (min-width: 576px) {
  .card {
    width: 45%;
  }

  #modal-content {
    display: flex;
    flex-wrap: wrap;
    background-color: black;
  }

  #modal-content img,
  #modal-content div {
    width: 50%;
    padding: 2em;
  }

  #modal-content h3 {
    text-align: center;
    margin-bottom: 0.5em;
  }
}

@media screen and (min-width: 768px) {
  .wrapper {
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-around;
    width: 80%;
    margin: 0 auto;
    border: 0;
  }
  .wrapper img {
    margin: 0;
    width: 50%;
    flex-grow: 1;
  }

  .wrapperBody {
    width: 50%;
  }

  .wrapperBody ul {
    margin-left: 2em;
  }

  .card {
    width: 23%;
  }
}

.modal-content {
  font-size: 1.2em;
}

@media screen and (min-width: 1200px) {
  .card {
    width: 15%;
  }
  .modal-content {
    width: 70%;
    font-size: 1.5em;
  }
}
